;;;  bencode.asd --- system definition

;;;  Copyright (C) 2005-2007, 2010 by Walter C. Pelissero

;;;  Author: Walter C. Pelissero <walter@pelissero.de>
;;;  Project: bencode

;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 2, or (at
;;; your option) any later version.
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;; You should have received a copy of the GNU General Public License
;;; along with this program; see the file COPYING.  If not, write to
;;; the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;;; Boston, MA 02111-1307, USA.

(in-package :cl-user)

(defpackage :bencode-system
  (:use :common-lisp :asdf))

(in-package :bencode-system)

(defsystem bencode
    :name "BENCODE"
    :author "Walter C. Pelissero <walter@pelissero.de>"
    :maintainer "Walter C. Pelissero <walter@pelissero.de>"
    ;; :version "0.0"
    :description "Bencode library for Common Lisp"
    :long-description
    "A collection of Common Lisp primitives to read and write bencoded
files.  Bencode is the encoding used for torrent files."
    :licence "LGPL"
    :components
    ((:file "package")
     (:file "bencode" :depends-on ("package"))
     (:static-file "bencode.el")))

(defmethod perform ((o test-op) (c (eql (find-system 'bencode))))
  (oos 'load-op 'bencode-tests)
  (oos 'test-op 'bencode-tests :force t))
